Add support for aarch64 container images
[csit.git] / resources / libraries / bash / function / ansible.sh
index a9314b4..5bf122e 100644 (file)
@@ -17,6 +17,7 @@ set -exuo pipefail
 
 
 function ansible_hosts () {
+
     # Run ansible playbook on hosts in working topology file. Ansible scope is
     # determined by tags passed as parameters to this function.
     #
@@ -40,7 +41,7 @@ function ansible_hosts () {
         die "Failed to read hosts from working topology!"
     }
     pushd "${TOOLS_DIR}"/testbed-setup/ansible || die "Pushd failed!"
-    ansible-playbook \
+    ANSIBLE_STDOUT_CALLBACK=yaml ansible-playbook \
         --vault-password-file=vault_pass \
         --extra-vars '@vault.yml' \
         --inventory inventories/lf_inventory/hosts site.yaml \
@@ -51,15 +52,15 @@ function ansible_hosts () {
 
 function installed () {
 
-    set -exuo pipefail
-
     # Check if the given utility is installed. Fail if not installed.
     #
     # Arguments:
     # - ${1} - Utility to check.
-    # Returns:
+    # Returns (implicitly):
     # - 0 - If command is installed.
     # - 1 - If command is not installed.
 
+    set -exuo pipefail
+
     command -v "${1}"
-}
\ No newline at end of file
+}